diff --git a/tests/utilities.py b/tests/utilities.py
index a409ba58..cc4b1d84 100644
--- a/tests/utilities.py
+++ b/tests/utilities.py
@@ -2,32 +2,34 @@ import email.header
 import email.parser
 import json
 import os
-import tempfile
 import random
-import psycopg2
 import shutil
 import sys
+import tempfile
 import urllib.parse
 
-from wcs import sql, sessions, custom_views
-
-from webtest import TestApp
-from quixote import cleanup, get_publisher
+import psycopg2
 from django.conf import settings
-from django.utils.encoding import force_bytes, force_text
+from django.utils.encoding import force_bytes
+from django.utils.encoding import force_text
+from quixote import cleanup
+from quixote import get_publisher
+from webtest import TestApp
 
-from wcs.qommon import force_str
 import wcs
+import wcs.middleware
+import wcs.qommon.emails
+import wcs.qommon.sms
 import wcs.wsgi
 from wcs import compat
+from wcs import custom_views
+from wcs import sessions
+from wcs import sql
+from wcs.qommon import force_str
+from wcs.qommon.errors import ConnectionError
 from wcs.roles import Role
-from wcs.users import User
 from wcs.tracking_code import TrackingCode
-import wcs.qommon.emails
-import wcs.qommon.sms
-from wcs.qommon.errors import ConnectionError
-
-import wcs.middleware
+from wcs.users import User
 
 wcs.middleware.AfterJobsMiddleware.ASYNC = False
 
diff --git a/wcs/__init__.py b/wcs/__init__.py
index c1e9ffbf..1faa4ac4 100644
--- a/wcs/__init__.py
+++ b/wcs/__init__.py
@@ -14,10 +14,10 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-import sys
 import os
+import sys
 
 sys.path.insert(0, os.path.dirname(__file__))
 
-from . import monkeypatch
-from . import compat
+from . import monkeypatch  # isort: skip
+from . import compat  # isort: skip
diff --git a/wcs/admin/api_access.py b/wcs/admin/api_access.py
index 4e5a7436..e5e5e58a 100644
--- a/wcs/admin/api_access.py
+++ b/wcs/admin/api_access.py
@@ -16,14 +16,21 @@
 
 import uuid
 
-from quixote import get_response, redirect
+from quixote import get_response
+from quixote import redirect
 from quixote.directory import Directory
-from quixote.html import TemplateIO, htmltext
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 
-from wcs.qommon import _, errors, template
-from wcs.qommon.form import Form, StringWidget, TextWidget, HtmlWidget
-from wcs.qommon.backoffice.menu import html_top
 from wcs.api_access import ApiAccess
+from wcs.qommon import _
+from wcs.qommon import errors
+from wcs.qommon import template
+from wcs.qommon.backoffice.menu import html_top
+from wcs.qommon.form import Form
+from wcs.qommon.form import HtmlWidget
+from wcs.qommon.form import StringWidget
+from wcs.qommon.form import TextWidget
 
 
 class ApiAccessUI(object):
diff --git a/wcs/admin/blocks.py b/wcs/admin/blocks.py
index a8ee8947..93e760b3 100644
--- a/wcs/admin/blocks.py
+++ b/wcs/admin/blocks.py
@@ -16,19 +16,29 @@
 
 import xml.etree.ElementTree as ET
 
-from quixote import get_publisher, get_response, get_session, redirect
+from quixote import get_publisher
+from quixote import get_response
+from quixote import get_session
+from quixote import redirect
 from quixote.directory import Directory
-from quixote.html import TemplateIO, htmltext
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 
-from wcs.blocks import BlockDef, BlockdefImportError
-
-from wcs.qommon.form import Form, StringWidget, HtmlWidget, FileWidget
-from wcs.qommon import _, N_, misc, template
-from wcs.qommon.backoffice.menu import html_top
-
-from wcs.admin.fields import FieldDefPage, FieldsDirectory
 from wcs.admin import utils
+from wcs.admin.fields import FieldDefPage
+from wcs.admin.fields import FieldsDirectory
 from wcs.backoffice.snapshots import SnapshotsDirectory
+from wcs.blocks import BlockDef
+from wcs.blocks import BlockdefImportError
+from wcs.qommon import N_
+from wcs.qommon import _
+from wcs.qommon import misc
+from wcs.qommon import template
+from wcs.qommon.backoffice.menu import html_top
+from wcs.qommon.form import FileWidget
+from wcs.qommon.form import Form
+from wcs.qommon.form import HtmlWidget
+from wcs.qommon.form import StringWidget
 
 
 class BlockFieldDefPage(FieldDefPage):
diff --git a/wcs/admin/categories.py b/wcs/admin/categories.py
index 9f543243..1998e647 100644
--- a/wcs/admin/categories.py
+++ b/wcs/admin/categories.py
@@ -16,15 +16,17 @@
 
 from quixote import redirect
 from quixote.directory import Directory
-from quixote.html import TemplateIO, htmltext
-
-from wcs.qommon import _, N_
-from wcs.categories import Category, CardDefCategory
-from wcs.qommon.form import *
-from wcs.qommon.backoffice.menu import html_top
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 
 from wcs.carddef import CardDef
+from wcs.categories import CardDefCategory
+from wcs.categories import Category
 from wcs.formdef import FormDef
+from wcs.qommon import N_
+from wcs.qommon import _
+from wcs.qommon.backoffice.menu import html_top
+from wcs.qommon.form import *
 
 
 class CategoryUI(object):
diff --git a/wcs/admin/data_sources.py b/wcs/admin/data_sources.py
index 1cf854c8..6fdf31db 100644
--- a/wcs/admin/data_sources.py
+++ b/wcs/admin/data_sources.py
@@ -16,31 +16,34 @@
 
 import xml.etree.ElementTree as ET
 
-from quixote import get_publisher, redirect
+from quixote import get_publisher
+from quixote import redirect
 from quixote.directory import Directory
-from quixote.html import TemplateIO, htmltext
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 
 from wcs.admin import utils
-from wcs.qommon import _, force_str
-from wcs.qommon import errors, template
-from wcs.qommon.form import *
+from wcs.backoffice.snapshots import SnapshotsDirectory
+from wcs.carddef import CardDef
+from wcs.data_sources import DataSourceSelectionWidget
+from wcs.data_sources import NamedDataSource
+from wcs.data_sources import RefreshAgendas
+from wcs.data_sources import get_structured_items
+from wcs.data_sources import has_chrono
+from wcs.formdef import FormDef
+from wcs.formdef import get_formdefs_of_all_kinds
+from wcs.qommon import _
+from wcs.qommon import errors
+from wcs.qommon import force_str
+from wcs.qommon import misc
+from wcs.qommon import template
+from wcs.qommon.backoffice.menu import html_top
 from wcs.qommon.form import FileWidget
 from wcs.qommon.form import Form
 from wcs.qommon.form import UrlWidget
+from wcs.qommon.form import *
 from wcs.qommon.form import get_response
 from wcs.qommon.form import get_session
-from wcs.qommon import misc
-from wcs.qommon.backoffice.menu import html_top
-from wcs.carddef import CardDef
-from wcs.data_sources import (
-    NamedDataSource,
-    DataSourceSelectionWidget,
-    get_structured_items,
-    has_chrono,
-    RefreshAgendas,
-)
-from wcs.formdef import FormDef, get_formdefs_of_all_kinds
-from wcs.backoffice.snapshots import SnapshotsDirectory
 
 
 class NamedDataSourceUI(object):
diff --git a/wcs/admin/fields.py b/wcs/admin/fields.py
index c0325a75..588cceb4 100644
--- a/wcs/admin/fields.py
+++ b/wcs/admin/fields.py
@@ -21,19 +21,21 @@ import json
 
 from quixote import redirect
 from quixote.directory import Directory
-from quixote.html import TemplateIO, htmltext, htmlescape
+from quixote.html import TemplateIO
+from quixote.html import htmlescape
+from quixote.html import htmltext
 
+from wcs import fields
 from wcs.admin import utils
+from wcs.fields import get_field_options
+from wcs.formdef import FormDef
 from wcs.qommon import _
-from wcs.qommon.form import *
-from wcs.qommon import errors, misc
+from wcs.qommon import errors
 from wcs.qommon import get_cfg
-from wcs.qommon.backoffice.menu import html_top
+from wcs.qommon import misc
 from wcs.qommon.admin.menu import command_icon
-
-from wcs import fields
-from wcs.formdef import FormDef
-from wcs.fields import get_field_options
+from wcs.qommon.backoffice.menu import html_top
+from wcs.qommon.form import *
 
 
 class FieldDefPage(Directory):
diff --git a/wcs/admin/forms.py b/wcs/admin/forms.py
index 430e9b7c..9ecab250 100644
--- a/wcs/admin/forms.py
+++ b/wcs/admin/forms.py
@@ -16,44 +16,55 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-import io
-import xml.etree.ElementTree as ET
 import datetime
 import difflib
+import io
 import tarfile
 import time
+import xml.etree.ElementTree as ET
 
-from quixote import get_publisher, get_response, redirect
-from quixote.directory import Directory, AccessControlled
-from quixote.html import TemplateIO, htmltext
+from quixote import get_publisher
+from quixote import get_response
+from quixote import redirect
+from quixote.directory import AccessControlled
+from quixote.directory import Directory
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 
-from wcs.qommon import _, N_, force_str
-from wcs.qommon import misc, template
+from wcs.backoffice.snapshots import SnapshotsDirectory
+from wcs.carddef import CardDef
+from wcs.categories import Category
+from wcs.formdef import DRAFTS_DEFAULT_LIFESPAN
+from wcs.formdef import FormDef
+from wcs.formdef import FormdefImportError
+from wcs.formdef import FormdefImportRecoverableError
+from wcs.forms.root import qrcode
+from wcs.qommon import N_
+from wcs.qommon import _
+from wcs.qommon import force_str
+from wcs.qommon import get_logger
+from wcs.qommon import misc
+from wcs.qommon import template
+from wcs.qommon.afterjobs import AfterJob
+from wcs.qommon.backoffice.menu import html_top
 from wcs.qommon.errors import TraversalError
 from wcs.qommon.form import *
-from wcs.qommon.storage import Equal, NotEqual, Null
-from wcs.qommon.backoffice.menu import html_top
-from wcs.qommon import get_logger
 from wcs.qommon.misc import C_
-
-from wcs.qommon.afterjobs import AfterJob
-
-from wcs.formdef import FormDef, FormdefImportError, FormdefImportRecoverableError, DRAFTS_DEFAULT_LIFESPAN
-from wcs.carddef import CardDef
-from wcs.categories import Category
-from wcs.roles import logged_users_role, get_user_roles
+from wcs.qommon.storage import Equal
+from wcs.qommon.storage import NotEqual
+from wcs.qommon.storage import Null
+from wcs.roles import get_user_roles
+from wcs.roles import logged_users_role
 from wcs.workflows import Workflow
-from wcs.forms.root import qrcode
 
 from . import utils
 from .blocks import BlocksDirectory
-from .fields import FieldDefPage, FieldsDirectory
 from .categories import CategoriesDirectory
 from .data_sources import NamedDataSourcesDirectory
+from .fields import FieldDefPage
+from .fields import FieldsDirectory
 from .logged_errors import LoggedErrorsDirectory
 
-from wcs.backoffice.snapshots import SnapshotsDirectory
-
 
 def get_categories(category_class):
     t = sorted([(misc.simplify(x.name), x.id, x.name, x.id) for x in category_class.select()])
diff --git a/wcs/admin/logged_errors.py b/wcs/admin/logged_errors.py
index 96c5672c..0d01b0bf 100644
--- a/wcs/admin/logged_errors.py
+++ b/wcs/admin/logged_errors.py
@@ -17,14 +17,26 @@
 import re
 
 from django.utils.text import Truncator
-from quixote import get_response, get_publisher, redirect, get_request
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_response
+from quixote import redirect
 from quixote.directory import Directory
-from quixote.html import TemplateIO, htmltext
-from wcs.qommon import _, ngettext, N_, template
+from quixote.html import TemplateIO
+from quixote.html import htmltext
+
+from wcs.qommon import N_
+from wcs.qommon import _
 from wcs.qommon import errors
 from wcs.qommon import misc
+from wcs.qommon import ngettext
+from wcs.qommon import template
 from wcs.qommon.backoffice.listing import pagination_links
-from wcs.qommon.storage import Or, Equal, NotEqual, Null, NotNull
+from wcs.qommon.storage import Equal
+from wcs.qommon.storage import NotEqual
+from wcs.qommon.storage import NotNull
+from wcs.qommon.storage import Null
+from wcs.qommon.storage import Or
 
 
 class LoggedErrorDirectory(Directory):
diff --git a/wcs/admin/mail_templates.py b/wcs/admin/mail_templates.py
index 8189a936..ffed6a21 100644
--- a/wcs/admin/mail_templates.py
+++ b/wcs/admin/mail_templates.py
@@ -16,23 +16,28 @@
 
 import xml.etree.ElementTree as ET
 
-from quixote import get_publisher, get_response, redirect
+from quixote import get_publisher
+from quixote import get_response
+from quixote import redirect
 from quixote.directory import Directory
-from quixote.html import TemplateIO, htmltext
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 
-from wcs.qommon import _, errors, force_str, misc, template
-from wcs.qommon.backoffice.menu import html_top
-from wcs.qommon.form import (
-    Form,
-    HtmlWidget,
-    StringWidget,
-    TextWidget,
-    ComputedExpressionWidget,
-    WidgetList,
-    FileWidget,
-    get_session,
-)
 from wcs.mail_templates import MailTemplate
+from wcs.qommon import _
+from wcs.qommon import errors
+from wcs.qommon import force_str
+from wcs.qommon import misc
+from wcs.qommon import template
+from wcs.qommon.backoffice.menu import html_top
+from wcs.qommon.form import ComputedExpressionWidget
+from wcs.qommon.form import FileWidget
+from wcs.qommon.form import Form
+from wcs.qommon.form import HtmlWidget
+from wcs.qommon.form import StringWidget
+from wcs.qommon.form import TextWidget
+from wcs.qommon.form import WidgetList
+from wcs.qommon.form import get_session
 
 
 class MailTemplatesDirectory(Directory):
diff --git a/wcs/admin/roles.py b/wcs/admin/roles.py
index 656c6658..24494de9 100644
--- a/wcs/admin/roles.py
+++ b/wcs/admin/roles.py
@@ -16,16 +16,16 @@
 
 from quixote import redirect
 from quixote.directory import Directory
-from quixote.html import TemplateIO, htmltext
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 
-from wcs.qommon import _, get_cfg
+from wcs.formdef import FormDef
+from wcs.qommon import _
 from wcs.qommon import errors
-from wcs.qommon.form import *
-
+from wcs.qommon import get_cfg
 from wcs.qommon.backoffice.menu import html_top
-
+from wcs.qommon.form import *
 from wcs.roles import get_user_roles
-from wcs.formdef import FormDef
 
 
 class RoleUI(object):
diff --git a/wcs/admin/root.py b/wcs/admin/root.py
index f4de3559..89a99c54 100644
--- a/wcs/admin/root.py
+++ b/wcs/admin/root.py
@@ -14,7 +14,8 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from quixote import get_request, redirect
+from quixote import get_request
+from quixote import redirect
 from quixote.directory import Directory
 
 
diff --git a/wcs/admin/settings.py b/wcs/admin/settings.py
index 038332e4..ac31b084 100644
--- a/wcs/admin/settings.py
+++ b/wcs/admin/settings.py
@@ -24,46 +24,49 @@ try:
     import lasso
 except ImportError:
     lasso = None
-import zipfile
 import shutil
-
 import xml.etree.ElementTree as ET
+import zipfile
 
 from django.utils.encoding import force_bytes
-
-from quixote import get_publisher, get_request, get_response, redirect
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_response
+from quixote import redirect
 from quixote.directory import Directory
-from quixote.html import TemplateIO, htmltext
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 
-from wcs.qommon import _, N_
-from wcs.qommon import get_cfg
+from wcs.backoffice.studio import StudioDirectory
+from wcs.blocks import BlockDef
+from wcs.carddef import CardDef
+from wcs.data_sources import NamedDataSource
+from wcs.formdef import FormDef
+from wcs.qommon import N_
+from wcs.qommon import _
 from wcs.qommon import errors
+from wcs.qommon import get_cfg
+from wcs.qommon import ident
 from wcs.qommon import misc
 from wcs.qommon import template
-from wcs.qommon.form import *
-from wcs.qommon.sms import SMS
-
-from wcs.qommon.afterjobs import AfterJob
-from wcs.qommon.backoffice.menu import html_top
-from wcs.qommon.admin.menu import error_page
 from wcs.qommon.admin.cfg import cfg_submit
 from wcs.qommon.admin.emails import EmailsDirectory
-from wcs.qommon.admin.texts import TextsDirectory
-from wcs.qommon.admin.settings import SettingsDirectory as QommonSettingsDirectory
 from wcs.qommon.admin.logger import LoggerDirectory
-from wcs.qommon import ident
-
-from wcs.blocks import BlockDef
-from wcs.carddef import CardDef
-from wcs.data_sources import NamedDataSource
-from wcs.formdef import FormDef
-from wcs.workflows import Workflow, WorkflowImportError
+from wcs.qommon.admin.menu import error_page
+from wcs.qommon.admin.settings import SettingsDirectory as QommonSettingsDirectory
+from wcs.qommon.admin.texts import TextsDirectory
+from wcs.qommon.afterjobs import AfterJob
+from wcs.qommon.backoffice.menu import html_top
+from wcs.qommon.form import *
+from wcs.qommon.sms import SMS
+from wcs.workflows import Workflow
+from wcs.workflows import WorkflowImportError
 
-from wcs.backoffice.studio import StudioDirectory
-from .fields import FieldDefPage, FieldsDirectory
+from .api_access import ApiAccessDirectory
 from .data_sources import NamedDataSourcesDirectory
+from .fields import FieldDefPage
+from .fields import FieldsDirectory
 from .wscalls import NamedWsCallsDirectory
-from .api_access import ApiAccessDirectory
 
 
 class UserFormDirectory(Directory):
@@ -935,7 +938,8 @@ class SettingsDirectory(QommonSettingsDirectory):
         return r.getvalue()
 
     def template_submit(self, form=None):
-        from wcs.qommon.template import DEFAULT_TEMPLATE_EZT, get_default_ezt_template
+        from wcs.qommon.template import DEFAULT_TEMPLATE_EZT
+        from wcs.qommon.template import get_default_ezt_template
 
         theme_default_template_ezt = get_default_ezt_template()
 
diff --git a/wcs/admin/users.py b/wcs/admin/users.py
index 7b0931a3..8b115340 100644
--- a/wcs/admin/users.py
+++ b/wcs/admin/users.py
@@ -14,22 +14,30 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from quixote import get_publisher, get_response, get_request, get_session, redirect
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_response
+from quixote import get_session
+from quixote import redirect
 from quixote.directory import Directory
-from quixote.html import TemplateIO, htmltext
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 
-from wcs.qommon import _, N_, force_str
 import wcs.qommon.storage as st
+from wcs.qommon import N_
+from wcs.qommon import _
 from wcs.qommon import errors
-from wcs.qommon import misc, get_cfg
-from wcs.qommon.backoffice.listing import pagination_links
-
+from wcs.qommon import force_str
+from wcs.qommon import get_cfg
 from wcs.qommon import ident
-from wcs.qommon.ident.idp import is_idp_managing_user_attributes, is_idp_managing_user_roles
-from wcs.qommon.form import *
+from wcs.qommon import misc
 from wcs.qommon.admin.emails import EmailsDirectory
-from wcs.qommon.backoffice.menu import html_top
 from wcs.qommon.admin.menu import error_page
+from wcs.qommon.backoffice.listing import pagination_links
+from wcs.qommon.backoffice.menu import html_top
+from wcs.qommon.form import *
+from wcs.qommon.ident.idp import is_idp_managing_user_attributes
+from wcs.qommon.ident.idp import is_idp_managing_user_roles
 
 
 class UserUI(object):
diff --git a/wcs/admin/utils.py b/wcs/admin/utils.py
index a1ff2611..feb2bf57 100644
--- a/wcs/admin/utils.py
+++ b/wcs/admin/utils.py
@@ -18,10 +18,12 @@
 
 import time
 
-from quixote import get_publisher, get_request
-from quixote.html import TemplateIO, htmltext
-
-from qommon import _, misc
+from qommon import _
+from qommon import misc
+from quixote import get_publisher
+from quixote import get_request
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 
 
 def last_modification_block(obj):
diff --git a/wcs/admin/workflows.py b/wcs/admin/workflows.py
index 0aa695d3..08a88c7a 100644
--- a/wcs/admin/workflows.py
+++ b/wcs/admin/workflows.py
@@ -19,37 +19,41 @@
 from __future__ import print_function
 
 import io
-import time
-from subprocess import Popen, PIPE
 import textwrap
+import time
 import xml.etree.ElementTree as ET
+from subprocess import PIPE
+from subprocess import Popen
 
 from django.utils.encoding import force_bytes
-
-from quixote import redirect, get_publisher, get_response
+from quixote import get_publisher
+from quixote import get_response
+from quixote import redirect
 from quixote.directory import Directory
-from quixote.html import TemplateIO, htmltext
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 
-from wcs.qommon import _, force_str
+from wcs.backoffice.snapshots import SnapshotsDirectory
+from wcs.backoffice.studio import StudioDirectory
+from wcs.carddef import CardDef
+from wcs.formdata import Evolution
+from wcs.formdef import FormDef
+from wcs.qommon import _
 from wcs.qommon import errors
+from wcs.qommon import force_str
+from wcs.qommon import get_logger
 from wcs.qommon import misc
-from wcs.qommon.form import *
-from wcs.qommon.backoffice.menu import html_top
 from wcs.qommon.admin.menu import command_icon
-from wcs.qommon import get_logger
-
+from wcs.qommon.backoffice.menu import html_top
+from wcs.qommon.form import *
 from wcs.workflows import *
-from wcs.carddef import CardDef
-from wcs.formdef import FormDef
-from wcs.formdata import Evolution
 
 from . import utils
-from .fields import FieldDefPage, FieldsDirectory
 from .data_sources import NamedDataSourcesDirectory
+from .fields import FieldDefPage
+from .fields import FieldsDirectory
 from .logged_errors import LoggedErrorsDirectory
 from .mail_templates import MailTemplatesDirectory
-from wcs.backoffice.snapshots import SnapshotsDirectory
-from wcs.backoffice.studio import StudioDirectory
 
 
 def svg(tag):
diff --git a/wcs/admin/wscalls.py b/wcs/admin/wscalls.py
index 8244cb4e..a788c51b 100644
--- a/wcs/admin/wscalls.py
+++ b/wcs/admin/wscalls.py
@@ -16,17 +16,23 @@
 
 import xml.etree.ElementTree as ET
 
-from quixote import get_publisher, get_response, redirect
+from quixote import get_publisher
+from quixote import get_response
+from quixote import redirect
 from quixote.directory import Directory
-from quixote.html import TemplateIO, htmltext
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 
 from wcs.admin import utils
-from wcs.qommon import _, errors, template
+from wcs.backoffice.snapshots import SnapshotsDirectory
+from wcs.qommon import _
+from wcs.qommon import errors
 from wcs.qommon import misc
-from wcs.qommon.form import *
+from wcs.qommon import template
 from wcs.qommon.backoffice.menu import html_top
-from wcs.wscalls import NamedWsCall, WsCallRequestWidget
-from wcs.backoffice.snapshots import SnapshotsDirectory
+from wcs.qommon.form import *
+from wcs.wscalls import NamedWsCall
+from wcs.wscalls import WsCallRequestWidget
 
 
 class NamedWsCallUI(object):
diff --git a/wcs/api.py b/wcs/api.py
index 2e81315f..093d2d7b 100644
--- a/wcs/api.py
+++ b/wcs/api.py
@@ -21,40 +21,46 @@ import sys
 import time
 import urllib.parse
 
-from quixote import get_request, get_publisher, get_response, get_session
-from quixote.errors import MethodNotAllowedError
-from quixote.directory import Directory
-
+from django.http import HttpResponse
+from django.http import HttpResponseBadRequest
+from django.http import JsonResponse
 from django.utils.encoding import force_text
-from django.http import HttpResponse, HttpResponseBadRequest, JsonResponse
-
-from .qommon import _
-from .qommon import misc
-from .qommon.errors import (
-    AccessForbiddenError,
-    TraversalError,
-    UnknownNameIdAccessForbiddenError,
-    ConnectionError,
-)
-from .qommon.form import ComputedExpressionWidget
-from .qommon.storage import Equal, NotEqual
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_response
+from quixote import get_session
+from quixote.directory import Directory
+from quixote.errors import MethodNotAllowedError
 
-from wcs.categories import Category
-from wcs.conditions import Condition, ValidationError
+import wcs.qommon.storage as st
+from wcs.api_utils import get_query_flag
+from wcs.api_utils import get_user_from_api_query_string
+from wcs.api_utils import is_url_signed
+from wcs.api_utils import sign_url_auto_orig
 from wcs.carddef import CardDef
-from wcs.formdef import FormDef
+from wcs.categories import Category
+from wcs.conditions import Condition
+from wcs.conditions import ValidationError
 from wcs.data_sources import NamedDataSource
 from wcs.data_sources import get_object as get_data_source_object
-from wcs.roles import logged_users_role
+from wcs.formdef import FormDef
 from wcs.forms.common import FormStatusPage
 from wcs.qommon.afterjobs import AfterJob
-import wcs.qommon.storage as st
-from wcs.api_utils import sign_url_auto_orig, is_url_signed, get_user_from_api_query_string, get_query_flag
+from wcs.roles import logged_users_role
 
+from .backoffice.data_management import CardPage as BackofficeCardPage
 from .backoffice.management import FormPage as BackofficeFormPage
 from .backoffice.management import ManagementDirectory
-from .backoffice.data_management import CardPage as BackofficeCardPage
 from .backoffice.submission import SubmissionDirectory
+from .qommon import _
+from .qommon import misc
+from .qommon.errors import AccessForbiddenError
+from .qommon.errors import ConnectionError
+from .qommon.errors import TraversalError
+from .qommon.errors import UnknownNameIdAccessForbiddenError
+from .qommon.form import ComputedExpressionWidget
+from .qommon.storage import Equal
+from .qommon.storage import NotEqual
 
 
 def posted_json_data_to_formdata_data(formdef, data):
@@ -848,6 +854,7 @@ class ApiUserDirectory(Directory):
 
         if get_publisher().is_using_postgresql() and not get_request().form.get('full') == 'on':
             from wcs import sql
+
             from .qommon.storage import Equal
 
             order_by = 'receipt_time'
diff --git a/wcs/api_utils.py b/wcs/api_utils.py
index ab253fc7..696cadc6 100644
--- a/wcs/api_utils.py
+++ b/wcs/api_utils.py
@@ -15,21 +15,25 @@
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
 import base64
-import hmac
-import hashlib
+import calendar
 import datetime
-import random
+import errno
+import hashlib
+import hmac
 import os
+import random
 import urllib.parse
-import errno
-import calendar
 
-from django.utils.encoding import force_bytes, force_text
+import qommon.misc
+from django.utils.encoding import force_bytes
+from django.utils.encoding import force_text
+from quixote import get_publisher
+from quixote import get_request
 
-from quixote import get_request, get_publisher
 from .api_access import ApiAccess
-from .qommon.errors import AccessForbiddenError, HttpResponse401Error, UnknownNameIdAccessForbiddenError
-import qommon.misc
+from .qommon.errors import AccessForbiddenError
+from .qommon.errors import HttpResponse401Error
+from .qommon.errors import UnknownNameIdAccessForbiddenError
 
 DEFAULT_DURATION = 30
 
diff --git a/wcs/backoffice/cards.py b/wcs/backoffice/cards.py
index 46f90c1b..bb7f92df 100644
--- a/wcs/backoffice/cards.py
+++ b/wcs/backoffice/cards.py
@@ -16,21 +16,31 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from quixote import get_publisher, get_response, get_session, redirect
+from quixote import get_publisher
+from quixote import get_response
+from quixote import get_session
+from quixote import redirect
 from quixote.directory import Directory
-from quixote.html import TemplateIO, htmltext
-
-from ..qommon import _, N_
-from ..qommon.misc import C_
-from ..qommon.storage import NotEqual, Null
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 
+from wcs.admin import utils
+from wcs.admin.categories import CardDefCategoriesDirectory
+from wcs.admin.forms import FormDefPage
+from wcs.admin.forms import FormDefUI
+from wcs.admin.forms import FormsDirectory
+from wcs.admin.forms import OptionsDirectory
+from wcs.admin.forms import html_top
+from wcs.admin.logged_errors import LoggedErrorsDirectory
 from wcs.carddef import CardDef
 from wcs.categories import CardDefCategory
 from wcs.workflows import Workflow
-from wcs.admin.categories import CardDefCategoriesDirectory
-from wcs.admin.forms import FormsDirectory, FormDefPage, FormDefUI, html_top, OptionsDirectory
-from wcs.admin.logged_errors import LoggedErrorsDirectory
-from wcs.admin import utils
+
+from ..qommon import N_
+from ..qommon import _
+from ..qommon.misc import C_
+from ..qommon.storage import NotEqual
+from ..qommon.storage import Null
 
 
 class CardDefUI(FormDefUI):
diff --git a/wcs/backoffice/data_management.py b/wcs/backoffice/data_management.py
index 40d99e7f..e8fd2c86 100644
--- a/wcs/backoffice/data_management.py
+++ b/wcs/backoffice/data_management.py
@@ -18,25 +18,31 @@ import csv
 import datetime
 import io
 
-from quixote import get_publisher, get_request, get_response, redirect
-from quixote.html import TemplateIO, htmltext, htmlescape
-
 from django.utils.encoding import force_text
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_response
+from quixote import redirect
+from quixote.html import TemplateIO
+from quixote.html import htmlescape
+from quixote.html import htmltext
 
+from wcs import fields
+from wcs.carddef import CardDef
+from wcs.categories import CardDefCategory
 
-from ..qommon import _, N_
+from ..qommon import N_
+from ..qommon import _
 from ..qommon import errors
 from ..qommon import template
-from ..qommon.form import Form, FileWidget
-from ..qommon.backoffice.menu import html_top
-from ..qommon import template
 from ..qommon.afterjobs import AfterJob
-
-from wcs.carddef import CardDef
-from wcs.categories import CardDefCategory
-from wcs import fields
-
-from .management import ManagementDirectory, FormPage, FormFillPage, FormBackOfficeStatusPage
+from ..qommon.backoffice.menu import html_top
+from ..qommon.form import FileWidget
+from ..qommon.form import Form
+from .management import FormBackOfficeStatusPage
+from .management import FormFillPage
+from .management import FormPage
+from .management import ManagementDirectory
 
 
 class DataManagementDirectory(ManagementDirectory):
